# Rule = ZAP Plugin
# Rule ID = ZAP Plugin ID


exclude_rules:
  - rule_id: 10015
    name: Incomplete or No Cache-control and Pragma HTTP Header Set
    link: https://www.zaproxy.org/docs/alerts/10015/
  - rule_id: 10020
    name: X-Frame-Options Header
    link: https://www.zaproxy.org/docs/alerts/10020/
  - rule_id: 10026
    name: HTTP Parameter Override
    link: https://www.zaproxy.org/docs/alerts/10026/
  - rule_id: 10027
    name: Information Disclosure - Suspicious Comments
    link: https://www.zaproxy.org/docs/alerts/10027/
  - rule_id: 10044
    name: Big Redirect Detected (Potential Sensitive Information Leak)
    link: https://www.zaproxy.org/docs/alerts/10044/
  - rule_id: 10049
    name: Content Cacheability
    link: https://www.zaproxy.org/docs/alerts/10049/
  - rule_id: 10050
    name: Retrieved from Cache
    link: https://www.zaproxy.org/docs/alerts/10050/
  - rule_id: 10052
    name: X-ChromeLogger-Data (XCOLD) Header Information Leak
    link: https://www.zaproxy.org/docs/alerts/10052/
  - rule_id: 10053
    name: Apache Range Header DoS (CVE-2011-3192)
    link: https://www.zaproxy.org/docs/alerts/10053/
  - rule_id: 10063
    name: Permissions Policy Header Not Set
    link: https://www.zaproxy.org/docs/alerts/10063/
  - rule_id: 10096
    name: Timestamp Disclosure
    link: https://www.zaproxy.org/docs/alerts/10096/
  - rule_id: 10104
    name: User Agent Fuzzer
    link: https://www.zaproxy.org/docs/alerts/10104/
  - rule_id: 10109
    name: Modern Web Application
    link: https://www.zaproxy.org/docs/alerts/10109/
  - rule_id: 10110
    name: Dangerous JS Functions
    link: https://www.zaproxy.org/docs/alerts/10110/
  - rule_id: 20017
    name: Source Code Disclosure - CVE-2012-1823
    link: https://www.zaproxy.org/docs/alerts/20017/
  - rule_id: 20018
    name: Remote Code Execution - CVE-2012-1823
    link: https://www.zaproxy.org/docs/alerts/20018/
  - rule_id: 30001
    name: Buffer Overflow
    link: https://www.zaproxy.org/docs/alerts/30001/
  - rule_id: 30002
    name: Format String Error
    link: https://www.zaproxy.org/docs/alerts/30002/
  - rule_id: 30003
    name: Integer Overflow Error
    link: https://www.zaproxy.org/docs/alerts/30003/
  - rule_id: 40009
    name: Server Side Include
    link: https://www.zaproxy.org/docs/alerts/40009/
  - rule_id: 40023
    name: Possible Username Enumeration
    link: https://www.zaproxy.org/docs/alerts/40023/
  - rule_id: 40028
    name: ELMAH Information Leak
    link: https://www.zaproxy.org/docs/alerts/40028/
  - rule_id: 40029
    name: Trace.axd Information Leak
    link: https://www.zaproxy.org/docs/alerts/40029/
  - rule_id: 40034
    name: .env Information Leak
    link: https://www.zaproxy.org/docs/alerts/40034/
  - rule_id: 43
    name: Source Code Disclosure - File Inclusion
    link: https://www.zaproxy.org/docs/alerts/43/
  - rule_id: 90024
    name: Generic Padding Oracle
    link: https://www.zaproxy.org/docs/alerts/90024/
  - rule_id: 90027
    name: Cookie Slack Detector
    link: https://www.zaproxy.org/docs/alerts/90027/
  - rule_id: 90034
    name: Cloud Metadata Potentially Exposed
    link: https://www.zaproxy.org/docs/alerts/90034/
